View Issue Details

IDProjectCategoryView StatusLast Update
0001447Main CAcert Websitepublic2020-01-23 10:20
ReporterpgmillonAssigned To 
PriorityurgentSeverityblockReproducibilityalways
Status newResolutionopen 
PlatformMain CAcert WebsiteOSN/AOS Versionstable
Product Version 
Target VersionFixed in Version 
Summary0001447: Cannot access main cacert website
DescriptionUsing Firefox 63.0 on Manjaro Linux 18.0 (Kernel Linux 4.14.78-1-MANJARO) I can't access https://www.cacert.org/ website at all to fetch/update my certificates.

Error code is SEC_ERROR_CERT_SIGNATURE_ALGORITHM_DISABLED
TagsNo tags attached.
Reviewed by
Test Instructions

Relationships

parent of 0001305 needs review & testingTed CAcert Class1 root certificate needs to be reissued with an updated CDP and a SHA-based signature 
Not all the children of this issue are yet resolved or closed.

Activities

pgmillon

2018-11-06 11:26

reporter  

screenshot.png (35,880 bytes)
screenshot.png (35,880 bytes)

L10N

2019-01-03 13:17

reporter   ~0005726

What happens, when you "Add Exception…"?
Can you add an exception?

pgmillon

2019-01-03 13:30

reporter   ~0005727

Hi,
No I can't add an exception.

pgmillon

2019-01-03 13:31

reporter   ~0005728

I looks like a combo: algorithm disabled and can't add exception because of HSTS.

L10N

2019-01-03 13:42

reporter   ~0005729

Have you already tried to replace the root certificate, as described here:
https://wiki.cacert.org/FAQ#New_Root_Certificates

pgmillon

2019-04-04 09:52

reporter   ~0005789

Re-importing the root certificate within Firefox solved the problem
https://wiki.cacert.org/FAQ?action=AttachFile&do=view&target=CAcert_chain_X0F_X0E.pem

alkas

2020-01-14 15:00

reporter   ~0005859

Chains, roots, bundles moved to https://wiki.cacert.org/FAQ/NewRoots
after 20190410

h_hucke

2020-01-23 08:40

reporter   ~0005860

I can't access the main site "https://www.cacert.org/" from germany. "No Route to host". "wiki.cacert.org" which is just a few steps away is accessable. Possibly "bit.nl" has anti DDOS meshures in place?

dastrath

2020-01-23 10:20

administrator   ~0005861

There had been an issue on the server which hosts www.cacert.org.

It required a full power-down-cycle to get it running again (after we tried to reboot the server via software yesterday).

Some more details can be found at blog.cacert.org, a deeper root-cause-analysis will be done later the day and published there.

(Small note: This issue has nothing to do with certificate issues on www.cacert.org.)

Issue History

Date Modified Username Field Change
2018-11-06 11:26 pgmillon New Issue
2018-11-06 11:26 pgmillon File Added: screenshot.png
2018-11-06 11:27 pgmillon Description Updated View Revisions
2018-11-07 10:23 GuKKDevel Relationship added related to 0001305
2018-11-07 10:23 GuKKDevel Relationship replaced parent of 0001305
2019-01-03 13:17 L10N Note Added: 0005726
2019-01-03 13:30 pgmillon Note Added: 0005727
2019-01-03 13:31 pgmillon Note Added: 0005728
2019-01-03 13:42 L10N Note Added: 0005729
2019-04-04 09:52 pgmillon Note Added: 0005789
2020-01-14 15:00 alkas Note Added: 0005859
2020-01-23 08:40 h_hucke Note Added: 0005860
2020-01-23 10:20 dastrath Note Added: 0005861